///////////////////////////////////////////////////////////////////////////////
//
// Developed by Gardener of Thoughts (gardenerofthoughts.org).
// Released under a "Common Sense License".
//
///////////////////////////////////////////////////////////////////////////////

using Fluogen.Dependz;
using Fluogen.Dependz.Configuration;

namespace Fluogen.DeployedScripts.Palettes
{
	public class EmeraldFuchsia : BitonalGradientPaletteWithHues<DummyScriptConfiguration>
	{
		protected override int ToneHue1( ColorModelName colorModel ) => colorModel.SelectForColorModel( 3200, 4000 );
		protected override int ToneHue2( ColorModelName colorModel ) => colorModel.SelectForColorModel( 8500, 9000 );
	}
}
