///////////////////////////////////////////////////////////////////////////////
//
// Developed by Gardener of Thoughts (gardenerofthoughts.org).
// Released under a "Common Sense License".
//
///////////////////////////////////////////////////////////////////////////////

using Fluogen.Dependz;
using Fluogen.Dependz.Configuration;

namespace Fluogen.DeployedScripts.Palettes
{
	public class HcjCaramelBlue : BitonalHcjPalette<DummyScriptConfiguration>
	{
		protected override BitonalHclPaletteConfiguration Configuration => new
		(
			ha1: 0.20,
			ha2: 0.20,
			hb1: 0.70,
			hb2: 0.70,
			c1: 0.5,
			c2: 1.0,
			lShadowsPower: 1,
			lHighlightsPower: 1
		);
	}
}
