///////////////////////////////////////////////////////////////////////////////
//
// Developed by Gardener of Thoughts (gardenerofthoughts.org).
// Released under a "Common Sense License".
//
///////////////////////////////////////////////////////////////////////////////

using Fluogen.Dependz;
using Fluogen.Dependz.Configuration;

namespace Fluogen.DeployedScripts.Palettes
{
	public class HclLavender : BitonalHclPalette<DummyScriptConfiguration>
	{
		protected override BitonalHclPaletteConfiguration Configuration => new
		(
			ha1: 0.80,
			ha2: 0.80,
			hb1: 0.80,
			hb2: 0.80,
			c1: 1.0,
			c2: 1.0,
			lShadowsPower: 1.4,
			lHighlightsPower: 0.7
		);
	}
}
